/*
 *
 * 4/26/05 - converted from hdp2 ring/recording buffer code to act as
 *           wrapper for rendering and writing buffers of audio to disk
 *
 */ 

#include "AudioEvent.h"

#ifndef ringbuffer_include
#define ringbuffer_include



class RecordingBuffer
{
public:
    RecordingBuffer();

protected:
    ChanTypes   m_eType;
    WORD        m_wWidth;
    char*       m_pcLDest;
    char*       m_pcRDest;

    AudioEvent* m_cEvent;
	long        m_lBytesPerSample;

    bool        Render16bit(QWORD* source, DWORD samples);
    bool        Render24bit(QWORD* source, DWORD samples);
    //bool        Render32bit(QWORD* source, DWORD samples);

public:
    bool        WriteBuffer(QWORD* stageBuf, QWORD samples);
    bool        Initialize(AudioEvent* recEvent);
    bool        Render(QWORD* source, QWORD samples);
};


#endif   // ringbuffer_include